Ask Your Question

Revision history [back]

Problem instaling libgtk2.0-dev and pkg-config

Hi friends, developers, I do not know much English, but I'm trying to learn opencv without Russian instructions for installing opencv. There was a problem at the step of launching the facedetect.py test window from the /opencv-4.1.1/samples/facedetect.py folder.

Here is this piece of program error:

cv2.error: 0pencV(4.1.1 ) /home/pi/opencv/opencv-4.1.1/modules/highgui/src/window.cpp:627: e rror: (-2:Unspecified error) The function is not implemented. Rebuild the library with Wind ows, GTK+ 2.x or Cocoa support. If you are on Ubuntu or Debian, install libgtk2.0-dev and p kg-config, then re-run cmake or configure script in function 'cvShowImage